clan::XMLToken Class Reference - ClanLib SDK
Description: clan::XMLToken Class Reference

Public Types | Public Member Functions | Public Attributes | List of all members
clan::XMLToken Class Reference
clanXML XML

XML token in a XML file. More...

`#include <xml_token.h>`

## Public Types
typedef std::pair< std::string, std::string > | Attribute
enum | TokenType { NULL_TOKEN = 0 , ELEMENT_TOKEN = 1 , TEXT_TOKEN = 3 , CDATA_SECTION_TOKEN = 4 , ENTITY_REFERENCE_TOKEN = 5 , ENTITY_TOKEN = 6 , PROCESSING_INSTRUCTION_TOKEN = 7 , COMMENT_TOKEN = 8 , DOCUMENT_TYPE_TOKEN = 10 , NOTATION_TOKEN = 12 }
enum | TokenVariant { BEGIN = 1 , END = 2 , SINGLE = 3 }

## Public Member Functions
| XMLToken ()

## Public Attributes
std::vector< Attribute > | attributes
| All the attributes attached to the token.
std::string | name
| The name of the token.
TokenType | type
| The token type.
std::string | value
| Returns the value of the token.
TokenVariant | variant
| The token variant.

## Detailed Description

XML token in a XML file.

## Member Typedef Documentation

## ◆ Attribute

typedef std::pair<std::string, std::string> clan::XMLToken::Attribute

## Member Enumeration Documentation

## ◆ TokenType

enum clan::XMLToken::TokenType

Enumerator
NULL_TOKEN |
ELEMENT_TOKEN |
TEXT_TOKEN |
CDATA_SECTION_TOKEN |
ENTITY_REFERENCE_TOKEN |
ENTITY_TOKEN |
PROCESSING_INSTRUCTION_TOKEN |
COMMENT_TOKEN |
DOCUMENT_TYPE_TOKEN |
NOTATION_TOKEN |

## ◆ TokenVariant

enum clan::XMLToken::TokenVariant

Enumerator
BEGIN |
END |
SINGLE |

## Constructor & Destructor Documentation

## ◆ XMLToken()

clan::XMLToken::XMLToken | ( |  | ) |
| inline

## Member Data Documentation

## ◆ attributes

std::vector<Attribute> clan::XMLToken::attributes

All the attributes attached to the token.

## ◆ name

std::string clan::XMLToken::name

The name of the token.

## ◆ type

TokenType clan::XMLToken::type

The token type.

## ◆ value

std::string clan::XMLToken::value

Returns the value of the token.

## ◆ variant

TokenVariant clan::XMLToken::variant

The token variant.

The documentation for this class was generated from the following file:

- xml_token.h